Bug 163598 - Submit Issue button cannot be reached from keyboard in Report a New Issue panel
Submit Issue button cannot be reached from keyboard in Report a New Issue panel
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Bugzilla
6.x
All Windows XP
: P2 (vote)
: 6.x
Assigned To: Jan Stola
issues@connecteddeveloper
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 14:24 UTC by Jaromir Uhrik
Modified: 2009-07-27 09:20 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2009-04-24 14:24:39 UTC
Product Version: NetBeans IDE Dev (Build 200904230201)
Java: 1.6.0_11; Java HotSpot(TM) Client VM 11.0-b16
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)

In the 'Report a New Issue' panel it is not possible to access Submit Issue button from keyboard because the
"Description" text area that is prior to the button cannot release focus by Ctrl+tab (this is swallowed by the window
system).
Comment 1 Jan Stola 2009-04-24 15:47:08 UTC
Fixed - I have added Ctrl+Alt+TAB among forward focus traversal keys of "Description" text area => you can move 
to "Submit Issue" button using this key.

Modified file: http://hg.netbeans.org/cdev/rev/1cb5eaf93bdd
Comment 2 Jaromir Uhrik 2009-04-28 08:26:18 UTC
Verified in the following build/config:

Product Version: NetBeans IDE Dev (Build 200904280201)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.6 running on i386; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo